Agora RTC Objective-C API Reference Refactor

Data Fields
TranscodingVideoStream Struct Reference

## Data Fields
VIDEO_SOURCE_TYPE | sourceType
uid_t | remoteUserUid
const char * | imageUrl
int | mediaPlayerId
int | x
int | y
int | width
int | height
int | zOrder
double | alpha
bool | mirror

## Detailed Description

The video streams for the video mixing on the local client.

## Constructor & Destructor Documentation

## ◆ TranscodingVideoStream()

TranscodingVideoStream | ( |  | ) |
| inline

## Field Documentation

## ◆ sourceType

VIDEO_SOURCE_TYPE sourceType

The source type of video for the video mixing on the local client. See VIDEO_SOURCE_TYPE.

## ◆ remoteUserUid

uid_t remoteUserUid

The ID of the remote user.

Note
  Use this parameter only when the source type of the video for the video mixing on the local client is `VIDEO_SOURCE_REMOTE`.

## ◆ imageUrl

const char* imageUrl

The URL of the image.

Note
  Use this parameter only when the source type of the video for the video mixing on the local client is `RTC_IMAGE`.

## ◆ mediaPlayerId

int mediaPlayerId

MediaPlayer id if sourceType is MEDIA_PLAYER_SOURCE.

## ◆ x

int x

The horizontal displacement of the top-left corner of the video for the video mixing on the client relative to the top-left corner (origin) of the canvas for this video mixing.

## ◆ y

int y

The vertical displacement of the top-left corner of the video for the video mixing on the client relative to the top-left corner (origin) of the canvas for this video mixing.

## ◆ width

int width

The width (px) of the video for the video mixing on the local client.

## ◆ height

int height

The height (px) of the video for the video mixing on the local client.

## ◆ zOrder

int zOrder

The number of the layer to which the video for the video mixing on the local client belongs. The value range is [0,100].

- 0: (Default) The layer is at the bottom.
- 100: The layer is at the top.

## ◆ alpha

double alpha

The transparency of the video for the video mixing on the local client. The value range is [0.0,1.0]. 0.0 means the transparency is completely transparent. 1.0 means the transparency is opaque.

## ◆ mirror

bool mirror

Whether to mirror the video for the video mixing on the local client.

- true: Mirroring.
- false: (Default) Do not mirror.
  Note
    The paramter only works for videos with the source type `CAMERA`.